# 📦 KairoEngine.Grids v0.1.5

### 🛑Required packages

- `KairoEngine.Core`

### 📄Namespaces

- `KairoEngine.Grids`

### Class Reference

- Grid

- GridObject

- GridBuildingSystem

- PlacedObjectType

- PlacedObject

- PlacebleObjectRule
  
  - Rules:
    
    - EmptyCell - All cells in grid have no PlacedObjects
    
    - HasConnector - Both parts need to have a valid connector between two cells.
    
    - TargetCellHasObject - The cell represented by a position offset needs to have a certain PlacedObject
    
    - TargetEmptyIsCell -The cell represented by a position offset needs to be empty.
    
    - CellInRadius - A specified PlacedObject needs to exist in a certain radius 
    
    - EmptyArea - All cells in a radius need to be empty
    
    - ?CellOcupied - The cells in the grid are ocupied by a specific PlacedObject

- PlacebleObjectRulesGroup

stockpile
