﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Sirenix.OdinInspector;

namespace KairoEngine.Grids
{
    [System.Serializable]
    public class BuildingEffectArea
    {
        [FoldoutGroup("@areaName")] public string areaName = "New Effect Area";
        [FoldoutGroup("@areaName")] public Vector2Int originOffset = new Vector2Int(0,0);
        [FoldoutGroup("@areaName")] public Vector2Int size = new Vector2Int(1,1);
        [FoldoutGroup("@areaName")] public GameObject arrowPrefab;
        [FoldoutGroup("@areaName")] public PlacedObjectType.Dir arrowDirection;
    }
}